package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 订单状态枚举
 *
 * @author ZYJ
 * @date 2022/3/31
 */
@Getter
@AllArgsConstructor
public enum OrderStatusEnum {

    /**
     * 订单状态枚举
     * 0：待付款
     * 1：付款中
     * 2：交易完成（正常支付成功）
     * 3：待退款
     * 4：交易关闭（a:超时未支付,b:退款成功）
     */
    NOT_PAY("0", "待付款"),
    USER_PAYING("1", "付款中"),
    PAY_SUCCESS("2", "交易完成（正常支付成功）"),
    USER_REFUNDING("3", "退款中"),
    CLOSED("4", "交易关闭");

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
